(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 11.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     49810,       1223]
NotebookOptionsPosition[     50205,       1213]
NotebookOutlinePosition[     50670,       1233]
CellTagsIndexPosition[     50627,       1230]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Comprehensive Truss Problem", "Title",
 TextAlignment->Center,
 ExpressionUUID -> "437260e2-d14d-4fd3-bbb7-ecb5b041e1f7"],

Cell["\<\
Based on the problem 6-49 of R. C. Hibbeler\[CloseCurlyQuote]s Statics, 13th \
edition\
\>", "Text",
 TextAlignment->Center],

Cell[TextData[StyleBox["Mengtian Yin, Zhelong He, Baoxing Xu\nUniversity of \
Virginia, 2018-11-07",
 FontColor->GrayLevel[0]]], "Text",
 TextAlignment->Center],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`F$$ = 600, $CellContext`opa$$ = 
    0, $CellContext`opt$$ = 0, $CellContext`size$$ = 1, $CellContext`w$$ = 
    2, $CellContext`\[Alpha]d$$ = 90, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`size$$], 1, 
       Text[
        Style["Plot Range", 12]]}, {1, 2, 5, 10}}, {{
       Hold[$CellContext`opt$$], 0, ""}, {0 -> Text[
         Style["Truss", 12]], 1 -> Text[
         Style["Cut in sections 1", 12]], 2 -> Text[
         Style["Cut in sections 2", 12]], 3 -> Text[
         Style["Cut in sections 3", 12]]}}, {{
       Hold[$CellContext`F$$], 600, 
       Text[
        Style["Load", 12]]}, 0, 1000, 100}, {{
       Hold[$CellContext`\[Alpha]d$$], 90, 
       Text[
        Style["Direction \[Alpha] / \[Degree]", 12]]}, 19, 198, 1}, {{
       Hold[$CellContext`w$$], 2, 
       Text[
        Style["Width", 12]]}, 0.01, 3, 0.01}, {
      Hold[
       Column[{
         Row[{
           Manipulate`Place[1], 
           Spacer[58], 
           Manipulate`Place[2]}], 
         Row[{
           Manipulate`Place[3], 
           Spacer[30], 
           Manipulate`Place[4], 
           Manipulate`Place[5]}]}]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`opa$$], 0, 
       Text[
        Style[
         Row[{"Show Plot", 
           Spacer[10]}], 12]]}, {1 -> "On", 0 -> "Off"}}}, Typeset`size$$ = {
    840., {328., 335.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`size$8372$$ = 
    0, $CellContext`opt$8373$$ = False, $CellContext`F$8374$$ = 
    0, $CellContext`\[Alpha]d$8375$$ = 0, $CellContext`w$8376$$ = 
    0, $CellContext`opa$8377$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     2, StandardForm, 
      "Variables" :> {$CellContext`F$$ = 600, $CellContext`opa$$ = 
        0, $CellContext`opt$$ = 0, $CellContext`size$$ = 1, $CellContext`w$$ = 
        2, $CellContext`\[Alpha]d$$ = 90}, "ControllerVariables" :> {
        Hold[$CellContext`size$$, $CellContext`size$8372$$, 0], 
        Hold[$CellContext`opt$$, $CellContext`opt$8373$$, False], 
        Hold[$CellContext`F$$, $CellContext`F$8374$$, 0], 
        Hold[$CellContext`\[Alpha]d$$, $CellContext`\[Alpha]d$8375$$, 0], 
        Hold[$CellContext`w$$, $CellContext`w$8376$$, 0], 
        Hold[$CellContext`opa$$, $CellContext`opa$8377$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`h$, $CellContext`\[Theta]$, \
$CellContext`\[Delta]$, $CellContext`\[Alpha]$, $CellContext`font$, \
$CellContext`sol1$, $CellContext`sol2$, $CellContext`sol3$, \
$CellContext`fih$, $CellContext`fah$, $CellContext`fab$, $CellContext`fhg$, \
$CellContext`fbg$, $CellContext`fbc$, $CellContext`fge$, $CellContext`fce$, \
$CellContext`fcd$, $CellContext`opa1$, $CellContext`opa2$, \
$CellContext`opa3$, $CellContext`truss$, $CellContext`fbd1$, \
$CellContext`fbd2$, $CellContext`fbd3$, $CellContext`FIH$, $CellContext`FAH$, \
$CellContext`FAB$, $CellContext`FHG$, $CellContext`FBG$, $CellContext`FBC$, \
$CellContext`FGE$, $CellContext`FCE$, $CellContext`FCD$, \
$CellContext`instruction$}, $CellContext`h$ = 3; $CellContext`\[Theta]$ = 
         ArcTan[$CellContext`h$/$CellContext`w$$]; $CellContext`\[Delta]$ = 
         0.25 $CellContext`h$; $CellContext`r = 
         0.05 $CellContext`w$$; $CellContext`\[Alpha]$ = ($CellContext`\
\[Alpha]d$$/180) Pi; $CellContext`font$ = 14; $CellContext`sol1$ = Quiet[
           Part[
            Solve[
             
             N[{(((-$CellContext`F$$) 3) $CellContext`w$$) 
                 Sin[$CellContext`\[Alpha]$] + $CellContext`Fih \
$CellContext`h$ == 
               0, (-$CellContext`F$$) 
                 Sin[$CellContext`\[Alpha]$] - $CellContext`Fah 
                Sin[$CellContext`\[Theta]$] == 
               0, ((-$CellContext`F$$) 
                  Cos[$CellContext`\[Alpha]$]) $CellContext`h$ - \
(($CellContext`F$$ Sin[$CellContext`\[Alpha]$]) 
                 2) $CellContext`w$$ - $CellContext`Fab $CellContext`h$ == 
               0}], {$CellContext`Fih, $CellContext`Fah, $CellContext`Fab}], 
            1]]; $CellContext`fih$ = 
         ReplaceAll[$CellContext`Fih, $CellContext`sol1$]; $CellContext`fah$ = 
         ReplaceAll[$CellContext`Fah, $CellContext`sol1$]; $CellContext`fab$ = 
         ReplaceAll[$CellContext`Fab, $CellContext`sol1$]; $CellContext`sol2$ = 
         Quiet[
           Part[
            Solve[
             
             N[{(((-$CellContext`F$$) 2) $CellContext`w$$) 
                 Sin[$CellContext`\[Alpha]$] + $CellContext`Fhg \
$CellContext`h$ == 
               0, (-$CellContext`F$$) 
                 Sin[$CellContext`\[Alpha]$] - $CellContext`Fbg 
                Sin[$CellContext`\[Theta]$] == 
               0, ((-$CellContext`F$$) 
                  Cos[$CellContext`\[Alpha]$]) $CellContext`h$ - \
($CellContext`F$$ 
                 Sin[$CellContext`\[Alpha]$]) $CellContext`w$$ - \
$CellContext`Fbc $CellContext`h$ == 
               0}], {$CellContext`Fhg, $CellContext`Fbg, $CellContext`Fbc}], 
            1]]; $CellContext`fhg$ = 
         ReplaceAll[$CellContext`Fhg, $CellContext`sol2$]; $CellContext`fbg$ = 
         ReplaceAll[$CellContext`Fbg, $CellContext`sol2$]; $CellContext`fbc$ = 
         ReplaceAll[$CellContext`Fbc, $CellContext`sol2$]; $CellContext`sol3$ = 
         Quiet[
           Part[
            Solve[
             
             N[{((-$CellContext`F$$) $CellContext`w$$) 
                 Sin[$CellContext`\[Alpha]$] + $CellContext`Fge \
$CellContext`h$ == 
               0, (-$CellContext`F$$) 
                 Sin[$CellContext`\[Alpha]$] - $CellContext`Fce 
                Sin[$CellContext`\[Theta]$] == 
               0, ((-$CellContext`F$$) 
                  Cos[$CellContext`\[Alpha]$]) $CellContext`h$ - \
$CellContext`Fcd $CellContext`h$ == 
               0}], {$CellContext`Fge, $CellContext`Fce, $CellContext`Fcd}], 
            1]]; $CellContext`fge$ = 
         ReplaceAll[$CellContext`Fge, $CellContext`sol3$]; $CellContext`fce$ = 
         ReplaceAll[$CellContext`Fce, $CellContext`sol3$]; $CellContext`fcd$ = 
         ReplaceAll[$CellContext`Fcd, $CellContext`sol3$]; $CellContext`opa1$ = 
         If[
           Or[$CellContext`opt$$ == 3, $CellContext`opt$$ == 4], 0.2, 
           1]; $CellContext`opa2$ = If[
           Or[$CellContext`opt$$ == 2, $CellContext`opt$$ == 4], 0.2, 
           1]; $CellContext`opa3$ = If[
           Or[$CellContext`opt$$ == 2, $CellContext`opt$$ == 3], 0.2, 
           1]; $CellContext`col1 = 
         If[$CellContext`opt$$ == 1, Red, Black]; $CellContext`col2 = 
         If[$CellContext`opt$$ == 2, Red, Black]; $CellContext`col3 = 
         If[$CellContext`opt$$ == 3, Red, Black]; $CellContext`truss$ = {
           Apply[{
             CapForm["Round"], 
             Thickness[#], #2, 
             
             Line[{{0, 0}, {
               0, $CellContext`h$}, {$CellContext`w$$, $CellContext`h$}}], 
             
             Line[{{$CellContext`w$$, $CellContext`h$}, {$CellContext`w$$, 
                0}}], 
             
             Line[{{$CellContext`w$$, 0}, {
               2 $CellContext`w$$, $CellContext`h$}}], 
             
             Line[{{2 $CellContext`w$$, $CellContext`h$}, {
               2 $CellContext`w$$, 0}}], 
             
             Line[{{2 $CellContext`w$$, 0}, {
               3 $CellContext`w$$, $CellContext`h$}}], 
             
             Line[{{0, 0}, {$CellContext`w$$, $CellContext`h$}, {
               3 $CellContext`w$$, $CellContext`h$}, {
               3 $CellContext`w$$, 0}, {0, 0}}]}& , {{0.022, Black}, {0.015, 
              GrayLevel[0.6]}}, {1}], {
            GrayLevel[0.7], 
            Disk[{0, $CellContext`h$}, 0.8 $CellContext`r], 
            
            Polygon[{{(0.8 $CellContext`r) Sin[Pi/6], (0.8 $CellContext`r) 
               Cos[Pi/6]}, {(0.8 $CellContext`r) Sin[Pi/6] - (
                4 $CellContext`r) 
               Cos[Pi/6], (0.8 $CellContext`r) Cos[Pi/6] + (4 $CellContext`r) 
                Sin[Pi/6]}, {(0.8 $CellContext`r) Sin[Pi/6] - (
                4 $CellContext`r) 
               Cos[Pi/6], ((-0.8) $CellContext`r) Cos[Pi/6] - (
                4 $CellContext`r) Sin[Pi/6]}, {(0.8 $CellContext`r) 
               Sin[Pi/6], ((-0.8) $CellContext`r) Cos[Pi/6]}}], 
            Thickness[0.005], 
            
            Line[{{(0.8 $CellContext`r) Sin[Pi/6] - (4 $CellContext`r) 
               Cos[Pi/6], (0.8 $CellContext`r) Cos[Pi/6] + (4 $CellContext`r) 
                Sin[Pi/6] + $CellContext`r}, {(0.8 $CellContext`r) 
                Sin[Pi/6] - (4 $CellContext`r) 
               Cos[Pi/6], ((-0.8) $CellContext`r) Cos[Pi/6] - (
                4 $CellContext`r) Sin[Pi/6] - $CellContext`r}}], Null}, {
            GrayLevel[0.7], 
            Disk[{0, $CellContext`h$}, 0.8 $CellContext`r], 
            
            Polygon[{{(0.8 $CellContext`r) 
               Sin[Pi/6], $CellContext`h$ + (0.8 $CellContext`r) 
                Cos[Pi/6]}, {(0.8 $CellContext`r) Sin[Pi/6] - (
                4 $CellContext`r) 
               Cos[Pi/6], $CellContext`h$ + (0.8 $CellContext`r) 
                Cos[Pi/6] + (4 $CellContext`r) 
                Sin[Pi/6]}, {(0.8 $CellContext`r) Sin[Pi/6] - (
                4 $CellContext`r) 
               Cos[Pi/6], $CellContext`h$ - (0.8 $CellContext`r) 
               Cos[Pi/6] - (4 $CellContext`r) 
               Sin[Pi/6]}, {(0.8 $CellContext`r) 
               Sin[Pi/6], $CellContext`h$ - (0.8 $CellContext`r) Cos[Pi/6]}}], 
            Thickness[0.005], 
            
            Line[{{(0.8 $CellContext`r) Sin[Pi/6] - (4 $CellContext`r) 
               Cos[Pi/6], $CellContext`h$ + (0.8 $CellContext`r) 
                Cos[Pi/6] + (4 $CellContext`r) 
                Sin[Pi/6] + $CellContext`r}, {(0.8 $CellContext`r) 
                Sin[Pi/6] - (4 $CellContext`r) 
               Cos[Pi/6], $CellContext`h$ - (0.8 $CellContext`r) 
               Cos[Pi/6] - (4 $CellContext`r) Sin[Pi/6] - $CellContext`r}}], 
            Null}, 
           Map[{
             PointSize[0.015], 
             Point[#], White, 
             PointSize[0.01], 
             Point[#]}& , {{0, 0}, {$CellContext`w$$, 0}, {
             2 $CellContext`w$$, 0}, {
             3 $CellContext`w$$, 0}, {$CellContext`w$$, $CellContext`h$}, {
             2 $CellContext`w$$, $CellContext`h$}, {
             3 $CellContext`w$$, $CellContext`h$}, {0, $CellContext`h$}}], {
            Opacity[
             Boole[$CellContext`F$$ != 0]], Blue, 
            Thickness[0.004], 
            Arrowheads[0.03], 
            
            Arrow[{{3 $CellContext`w$$, 0}, {
              3 $CellContext`w$$ - ($CellContext`F$$/600) 
               Cos[$CellContext`\[Alpha]$], ((-$CellContext`F$$)/600) 
               Sin[$CellContext`\[Alpha]$]}}], 
            Text[
             Style["F", 15, Italic, Bold], {
             3 $CellContext`w$$ - ($CellContext`F$$/600) 
              Cos[$CellContext`\[Alpha]$], ((-$CellContext`F$$)/600) 
               Sin[$CellContext`\[Alpha]$] - 0.1 $CellContext`h$}], Black, 
            Thickness[0.002], Dashed, 
            
            Circle[{3 $CellContext`w$$, 0}, 0.2 $CellContext`h$, {
             Pi, Pi + $CellContext`\[Alpha]$}], 
            
            Line[{{3 $CellContext`w$$, 0}, {
              3 $CellContext`w$$ - 0.25 $CellContext`h$, 0}}]}, {
            Text[
             Style["A", 15, Italic, Bold], {0, (-0.15) $CellContext`h$}], 
            Text[
             Style[
             "H", 15, Italic, Bold], {$CellContext`w$$, 
              1.15 $CellContext`h$}], 
            Text[
             Style["G", 15, Italic, Bold], {
             2 $CellContext`w$$, 1.15 $CellContext`h$}], 
            Text[
             Style["E", 15, Italic, Bold], {
             3 $CellContext`w$$, 1.15 $CellContext`h$}], 
            Text[
             Style["D", 15, Italic, Bold], {
             3 $CellContext`w$$ + 0.25, (-0.15) $CellContext`h$}], 
            Text[
             Style["C", 15, Italic, Bold], {
             2 $CellContext`w$$, (-0.15) $CellContext`h$}], 
            Text[
             Style[
             "B", 15, Italic, 
              Bold], {$CellContext`w$$, (-0.15) $CellContext`h$}], 
            Text[
             Style["I", 15, Italic, Bold], {0, 1.15 $CellContext`h$}]}, {
            Opacity[
             Boole[$CellContext`opt$$ == 0]], Black, 
            Thickness[0.002], 
            
            Line[{{0, (-0.25) $CellContext`h$}, {
              0, (-0.45) $CellContext`h$}}], 
            
            Line[{{$CellContext`w$$, (-0.25) $CellContext`h$}, \
{$CellContext`w$$, (-0.45) $CellContext`h$}}], 
            Line[{{2 $CellContext`w$$, (-0.25) $CellContext`h$}, {
              2 $CellContext`w$$, (-0.45) $CellContext`h$}}], 
            
            Line[{{3 $CellContext`w$$, (-0.25) $CellContext`h$}, {
              3 $CellContext`w$$, (-0.45) $CellContext`h$}}], 
            Line[{{3.25 $CellContext`w$$, 0}, {3.45 $CellContext`w$$, 0}}], 
            
            Line[{{3.25 $CellContext`w$$, $CellContext`h$}, {
              3.45 $CellContext`w$$, $CellContext`h$}}], 
            Arrowheads[{-0.02, 0.02}], 
            
            Arrow[{{0, (-0.3) $CellContext`h$}, {$CellContext`w$$, (-0.3) \
$CellContext`h$}}], 
            
            Arrow[{{$CellContext`w$$, (-0.3) $CellContext`h$}, {
              2 $CellContext`w$$, (-0.3) $CellContext`h$}}], 
            
            Arrow[{{2 $CellContext`w$$, (-0.3) $CellContext`h$}, {
              3 $CellContext`w$$, (-0.3) $CellContext`h$}}], 
            
            Arrow[{{3.35 $CellContext`w$$, 0}, {
              3.35 $CellContext`w$$, $CellContext`h$}}], 
            Text[
             Style[$CellContext`w$$ " m", 15, Italic, Bold], {
             0.5 $CellContext`w$$, (-0.4) $CellContext`h$}], 
            Text[
             Style[$CellContext`w$$ " m", 15, Italic, Bold], {
             1.5 $CellContext`w$$, (-0.4) $CellContext`h$}], 
            Text[
             Style[$CellContext`w$$ " m", 15, Italic, Bold], {
             2.5 $CellContext`w$$, (-0.4) $CellContext`h$}], 
            Text[
             Style["3 m", 15, Italic, Bold], {
             3.5 $CellContext`w$$, 
              0.5 $CellContext`h$}]}}; $CellContext`fbd1$ = {{White, 
            
            Rectangle[{(-0.7) $CellContext`w$$, 2 $CellContext`h$}, {
             0.5 $CellContext`w$$, -$CellContext`h$}], Black, 
            Text[
             Style["I", 15, Italic, Bold], {0, 1.15 $CellContext`h$}], 
            Text[
             Style["A", 15, Italic, Bold], {0, (-0.15) $CellContext`h$}]}, {
           Dashed, Black, 
            Thickness[0.004], 
            
            Line[{{0. $CellContext`w$$, $CellContext`h$}, {
              0. $CellContext`w$$, 0}}]}, {Dashed, Black, 
            Thickness[0.004], 
            Arrowheads[0.03], 
            
            Line[{{0.5 $CellContext`w$$, $CellContext`h$}, {
              0. $CellContext`w$$, $CellContext`h$}}], 
            Dashing[{}], $CellContext`col1, 
            
            Arrow[{{0.5 $CellContext`w$$, $CellContext`h$}, {
              0.2 $CellContext`w$$, $CellContext`h$}}], 
            Text[
             Style[
              Subscript["F", "IH"], 15, Italic, Bold], {
             0.25 $CellContext`w$$, 1.15 $CellContext`h$}]}, {Dashed, Black, 
            Thickness[0.004], 
            Arrowheads[0.03], 
            
            Line[{{0.5 $CellContext`w$$, (0.5 $CellContext`w$$) 
               Tan[$CellContext`\[Theta]$]}, {0. $CellContext`w$$, 0}}], 
            Dashing[{}], $CellContext`col1, 
            
            Arrow[{{0.5 $CellContext`w$$, (0.5 $CellContext`w$$) 
               Tan[$CellContext`\[Theta]$]}, {
              0.2 $CellContext`w$$, (0.2 $CellContext`w$$) 
               Tan[$CellContext`\[Theta]$]}}], 
            Text[
             Style[
              Subscript["F", "AH"], 15, Italic, Bold], {
             0.25 $CellContext`w$$, ((0.75 $CellContext`w$$) 
               Tan[$CellContext`\[Theta]$]) 0.7}]}, {Dashed, Black, 
            Thickness[0.004], 
            Arrowheads[0.03], 
            Line[{{0.5 $CellContext`w$$, 0}, {0. $CellContext`w$$, 0}}], 
            Dashing[{}], $CellContext`col1, 
            Arrow[{{0.5 $CellContext`w$$, 0}, {0.2 $CellContext`w$$, 0}}], 
            Text[
             Style[
              Subscript["F", "AB"], 15, Italic, Bold], {
             0.25 $CellContext`w$$, (-0.15) $CellContext`h$}]}}; \
$CellContext`fbd2$ = {{White, 
            
            Rectangle[{(-0.7) $CellContext`w$$, 2 $CellContext`h$}, {
             1.5 $CellContext`w$$, -$CellContext`h$}], Black, 
            Text[
             Style[
             "H", 15, Italic, Bold], {$CellContext`w$$, 
              1.15 $CellContext`h$}], 
            Text[
             Style[
             "B", 15, Italic, 
              Bold], {$CellContext`w$$, (-0.15) $CellContext`h$}]}, {
           Dashed, Black, 
            Thickness[0.004], 
            
            Line[{{1. $CellContext`w$$, $CellContext`h$}, {
              1. $CellContext`w$$, 0}}]}, {Dashed, Black, 
            Thickness[0.004], 
            Arrowheads[0.03], 
            
            Line[{{1.5 $CellContext`w$$, $CellContext`h$}, {
              1. $CellContext`w$$, $CellContext`h$}}], 
            Dashing[{}], $CellContext`col2, 
            
            Arrow[{{1.5 $CellContext`w$$, $CellContext`h$}, {
              1.2 $CellContext`w$$, $CellContext`h$}}], 
            Text[
             Style[
              Subscript["F", "HG"], 15, Italic, Bold], {
             1.25 $CellContext`w$$, 1.15 $CellContext`h$}]}, {Dashed, Black, 
            Thickness[0.004], 
            Arrowheads[0.03], 
            
            Line[{{1.5 $CellContext`w$$, (
                1.5 $CellContext`w$$ - $CellContext`w$$) 
               Tan[$CellContext`\[Theta]$]}, {1. $CellContext`w$$, 0}}], 
            Dashing[{}], $CellContext`col2, 
            
            Arrow[{{1.5 $CellContext`w$$, (
                1.5 $CellContext`w$$ - $CellContext`w$$) 
               Tan[$CellContext`\[Theta]$]}, {
              1.2 $CellContext`w$$, (1.2 $CellContext`w$$ - $CellContext`w$$) 
               Tan[$CellContext`\[Theta]$]}}], 
            Text[
             Style[
              Subscript["F", "BG"], 15, Italic, Bold], {
             1.25 $CellContext`w$$, ((
                1.75 $CellContext`w$$ - $CellContext`w$$) 
               Tan[$CellContext`\[Theta]$]) 0.7}]}, {Dashed, Black, 
            Thickness[0.004], 
            Arrowheads[0.03], 
            Line[{{1.5 $CellContext`w$$, 0}, {1. $CellContext`w$$, 0}}], 
            Dashing[{}], $CellContext`col2, 
            Arrow[{{1.5 $CellContext`w$$, 0}, {1.2 $CellContext`w$$, 0}}], 
            Text[
             Style[
              Subscript["F", "BC"], 15, Italic, Bold], {
             1.25 $CellContext`w$$, (-0.15) $CellContext`h$}]}}; \
$CellContext`fbd3$ = {{White, 
            
            Rectangle[{(-0.7) $CellContext`w$$, 2 $CellContext`h$}, {
             2.5 $CellContext`w$$, -$CellContext`h$}], Black, 
            Text[
             Style["G", 15, Italic, Bold], {
             2 $CellContext`w$$, 1.15 $CellContext`h$}], 
            Text[
             Style["C", 15, Italic, Bold], {
             2 $CellContext`w$$, (-0.15) $CellContext`h$}]}, {Dashed, Black, 
            Thickness[0.004], 
            
            Line[{{2. $CellContext`w$$, $CellContext`h$}, {
              2. $CellContext`w$$, 0}}]}, {Dashed, Black, 
            Thickness[0.004], 
            Arrowheads[0.03], 
            
            Line[{{2.5 $CellContext`w$$, $CellContext`h$}, {
              2. $CellContext`w$$, $CellContext`h$}}], 
            Dashing[{}], $CellContext`col3, 
            
            Arrow[{{2.5 $CellContext`w$$, $CellContext`h$}, {
              2.2 $CellContext`w$$, $CellContext`h$}}], 
            Text[
             Style[
              Subscript["F", "GE"], 15, Italic, Bold], {
             2.25 $CellContext`w$$, 1.15 $CellContext`h$}]}, {Dashed, Black, 
            Thickness[0.004], 
            Arrowheads[0.03], 
            
            Line[{{2.5 $CellContext`w$$, (2.5 $CellContext`w$$ - 
                2 $CellContext`w$$) Tan[$CellContext`\[Theta]$]}, {
              2. $CellContext`w$$, 0}}], 
            Dashing[{}], $CellContext`col3, 
            
            Arrow[{{2.5 $CellContext`w$$, (2.5 $CellContext`w$$ - 
                2 $CellContext`w$$) Tan[$CellContext`\[Theta]$]}, {
              2.2 $CellContext`w$$, (2.2 $CellContext`w$$ - 
                2 $CellContext`w$$) Tan[$CellContext`\[Theta]$]}}], 
            Text[
             Style[
              Subscript["F", "CE"], 15, Italic, Bold], {
             2.25 $CellContext`w$$, ((2.75 $CellContext`w$$ - 
                2 $CellContext`w$$) Tan[$CellContext`\[Theta]$]) 0.7}]}, {
           Dashed, Black, 
            Thickness[0.004], 
            Arrowheads[0.03], 
            Line[{{2.5 $CellContext`w$$, 0}, {2. $CellContext`w$$, 0}}], 
            Dashing[{}], $CellContext`col3, 
            Arrow[{{2.5 $CellContext`w$$, 0}, {2.2 $CellContext`w$$, 0}}], 
            Text[
             Style[
              Subscript["F", "CD"], 15, Italic, Bold], {
             2.25 $CellContext`w$$, (-0.15) $CellContext`h$}]}}; \
$CellContext`FHG$ = {Red, 
           
           Disk[{$CellContext`w$$, 0}, 
            0.08 $CellContext`size$$]}; $CellContext`FBC$ = {Red, 
           
           Disk[{2 $CellContext`w$$, $CellContext`h$}, 
            0.08 $CellContext`size$$]}; $CellContext`instruction$ = Text[
           Style[
            Switch[$CellContext`opt$$, 0, 
             Column[{
               Text[
                Style[
                "If only the forces in several members are desired,", \
$CellContext`font$, Italic]], 
               Text[
                Style[
                "method of section gives us a quick and direct way", \
$CellContext`font$, Italic]]}], 1, 
             Column[{
               Text[
                Style[
                "Suppose forces in the members IH, AH and AB are desired, ", \
$CellContext`font$, Italic]], 
               Text[
                Style[
                "so we choose a section passes these members", \
$CellContext`font$, Italic]], 
               Row[{
                 Text[
                  Style["\[Sum]", $CellContext`font$, Italic]], 
                 Spacer[1], 
                 Text[
                  Style[
                   Subscript["M", "A"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["0", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   Subscript["F", "IH"], $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "IA"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["-", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["F", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["sin \[Alpha]", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "AD"], $CellContext`font$, Italic]], 
                 Text[
                  Style[
                   Subscript[", F", "IH"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   NumberForm[$CellContext`fih$, {4, 2}], $CellContext`font$, 
                   Italic]]}], 
               If[$CellContext`fih$ > 0, 
                Text[
                 Style[
                 "Member IH is in tension", $CellContext`font$, Italic]], 
                If[$CellContext`fih$ < 0, 
                 Text[
                  Style[
                  "Member IH is in compression", $CellContext`font$, 
                   Italic]]]], 
               Row[{
                 Text[
                  Style["\[Sum]", $CellContext`font$, Italic]], 
                 Spacer[1], 
                 Text[
                  Style[
                   Subscript["F", "y"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["0", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["-", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   Subscript["F", "AH"], $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["sin 45\[Degree]", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["-", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["F", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["sin \[Alpha]", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["0", $CellContext`font$, Italic]], 
                 Text[
                  Style[
                   Subscript[", F", "AH"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   NumberForm[$CellContext`fah$, {4, 2}], $CellContext`font$, 
                   Italic]]}], 
               If[$CellContext`fah$ > 0, 
                Text[
                 Style[
                 "Member AH is in tension", $CellContext`font$, Italic]], 
                If[$CellContext`fah$ < 0, 
                 Text[
                  Style[
                  "Member AH is in compression", $CellContext`font$, 
                   Italic]]]], 
               Row[{
                 Text[
                  Style["\[Sum]", $CellContext`font$, Italic]], 
                 Spacer[1], 
                 Text[
                  Style[
                   Subscript["M", "H"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["0", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["F", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["sin \[Alpha]", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "HE"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["-", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["F", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["cos \[Alpha]", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "HB"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["+", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   Subscript["F", "AB"], $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "HB"], $CellContext`font$, Italic]], 
                 Text[
                  Style[
                   Subscript[", F", "AB"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   NumberForm[$CellContext`fab$, {4, 2}], $CellContext`font$, 
                   Italic]]}], 
               If[$CellContext`fab$ > 0, 
                Text[
                 Style[
                 "Member AB is in tension", $CellContext`font$, Italic]], 
                If[$CellContext`fab$ < 0, 
                 Text[
                  Style[
                  "Member AB is in compression", $CellContext`font$, 
                   Italic]]]]}], 2, 
             Column[{
               Text[
                Style[
                "Suppose forces in the members HG, BG and BC are desired,", \
$CellContext`font$, Italic]], 
               Text[
                Style[
                "so we choose a section passes these members", \
$CellContext`font$, Italic]], 
               Row[{
                 Text[
                  Style["\[Sum]", $CellContext`font$, Italic]], 
                 Spacer[1], 
                 Text[
                  Style[
                   Subscript["M", "B"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["0", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   Subscript["F", "HG"], $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "HB"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["-", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["F", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["sin \[Alpha]", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "BD"], $CellContext`font$, Italic]], 
                 Text[
                  Style[
                   Subscript[", F", "HG"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   NumberForm[$CellContext`fhg$, {4, 2}], $CellContext`font$, 
                   Italic]]}], 
               If[$CellContext`fhg$ > 0, 
                Text[
                 Style[
                 "Member HG is in tension", $CellContext`font$, Italic]], 
                If[$CellContext`fhg$ < 0, 
                 Text[
                  Style[
                  "Member HG is in compression", $CellContext`font$, 
                   Italic]]]], 
               Row[{
                 Text[
                  Style["\[Sum]", $CellContext`font$, Italic]], 
                 Spacer[1], 
                 Text[
                  Style[
                   Subscript["F", "y"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["0", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["-", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   Subscript["F", "BG"], $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["sin 45\[Degree]", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["-", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["F", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["sin \[Alpha]", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["0", $CellContext`font$, Italic]], 
                 Text[
                  Style[
                   Subscript[", F", "BG"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   NumberForm[$CellContext`fbg$, {4, 2}], $CellContext`font$, 
                   Italic]]}], 
               If[$CellContext`fbg$ > 0, 
                Text[
                 Style[
                 "Member BG is in tension", $CellContext`font$, Italic]], 
                If[$CellContext`fbg$ < 0, 
                 Text[
                  Style[
                  "Member BG is in compression", $CellContext`font$, 
                   Italic]]]], 
               Row[{
                 Text[
                  Style["\[Sum]", $CellContext`font$, Italic]], 
                 Spacer[1], 
                 Text[
                  Style[
                   Subscript["M", "G"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["0", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["F", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["sin \[Alpha]", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "GE"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["-", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["F", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["cos \[Alpha]", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "GC"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["+", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   Subscript["F", "BC"], $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "GC"], $CellContext`font$, Italic]], 
                 Text[
                  Style[
                   Subscript[", F", "BC"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   NumberForm[$CellContext`fbc$, {4, 2}], $CellContext`font$, 
                   Italic]]}], 
               If[$CellContext`fbc$ > 0, 
                Text[
                 Style[
                 "Member BC is in tension", $CellContext`font$, Italic]], 
                If[$CellContext`fbc$ < 0, 
                 Text[
                  Style[
                  "Member BC is in compression", $CellContext`font$, 
                   Italic]]]]}], 3, 
             Column[{
               Text[
                Style[
                "Suppose forces in the members GE, CE and CD are desired,", \
$CellContext`font$, Italic]], 
               Text[
                Style[
                "so we choose a section passes these members", \
$CellContext`font$, Italic]], 
               Row[{
                 Text[
                  Style["\[Sum]", $CellContext`font$, Italic]], 
                 Spacer[1], 
                 Text[
                  Style[
                   Subscript["M", "C"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["0", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   Subscript["F", "GE"], $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "GC"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["-", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["F", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["sin \[Alpha]", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "AG"], $CellContext`font$, Italic]], 
                 Text[
                  Style[
                   Subscript[", F", "GE"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   NumberForm[$CellContext`fge$, {4, 2}], $CellContext`font$, 
                   Italic]]}], 
               If[$CellContext`fge$ > 0, 
                Text[
                 Style[
                 "Member GE is in tension", $CellContext`font$, Italic]], 
                If[$CellContext`fge$ < 0, 
                 Text[
                  Style[
                  "Member GE is in compression", $CellContext`font$, 
                   Italic]]]], 
               Row[{
                 Text[
                  Style["\[Sum]", $CellContext`font$, Italic]], 
                 Spacer[1], 
                 Text[
                  Style[
                   Subscript["F", "y"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["0", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["-", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   Subscript["F", "CE"], $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["sin 45\[Degree]", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["-", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["F", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["sin \[Alpha]", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["0", $CellContext`font$, Italic]], 
                 Text[
                  Style[
                   Subscript[", F", "CE"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   NumberForm[$CellContext`fce$, {4, 2}], $CellContext`font$, 
                   Italic]]}], 
               If[$CellContext`fce$ > 0, 
                Text[
                 Style[
                 "Member CE is in tension", $CellContext`font$, Italic]], 
                If[$CellContext`fce$ < 0, 
                 Text[
                  Style[
                  "Member CE is in compression", $CellContext`font$, 
                   Italic]]]], 
               Row[{
                 Text[
                  Style["\[Sum]", $CellContext`font$, Italic]], 
                 Spacer[1], 
                 Text[
                  Style[
                   Subscript["M", "E"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["0", $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["-", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style["F", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style["cos \[Alpha]", $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "ED"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["+", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   Subscript[", F", "CD"], $CellContext`font$, Italic]], 
                 Spacer[2], 
                 Text[
                  Style[
                   Subscript["l", "ED"], $CellContext`font$, Italic]], 
                 Text[
                  Style[
                   Subscript[", F", "CD"], $CellContext`font$, Italic]], 
                 Spacer[4], 
                 Text[
                  Style["=", $CellContext`font$]], 
                 Spacer[4], 
                 Text[
                  Style[
                   NumberForm[$CellContext`fcd$, {4, 2}], $CellContext`font$, 
                   Italic]]}], 
               If[$CellContext`fcd$ > 0, 
                Text[
                 Style[
                 "Member CD is in tension", $CellContext`font$, Italic]], 
                If[$CellContext`fcd$ < 0, 
                 Text[
                  Style[
                  "Member CD is in compression", $CellContext`font$, 
                   Italic]]]]}]]], {2.5, (-1.3) $CellContext`h$}]; Grid[{{
            Graphics[
             
             Switch[$CellContext`opt$$, 
              0, {$CellContext`truss$, $CellContext`instruction$}, 
              1, {$CellContext`truss$, $CellContext`fbd1$, \
$CellContext`instruction$}, 
              2, {$CellContext`truss$, $CellContext`fbd2$, \
$CellContext`instruction$}, 
              3, {$CellContext`truss$, $CellContext`fbd3$, \
$CellContext`instruction$}], 
             PlotRange -> {{-2.5, 12}, {(-2.2) $CellContext`h$, 
                1.5 $CellContext`h$}}, ImageSize -> {700}]}, {
            If[$CellContext`opa$$ == 1, 
             Show[
              
              Plot[{(($CellContext`F$$ 2) $CellContext`x) (
                 Sin[$CellContext`\[Alpha]$]/$CellContext`h$), \
((-$CellContext`F$$) 
                  Cos[$CellContext`\[Alpha]$]) $CellContext`h$ - \
($CellContext`F$$ 
                 Sin[$CellContext`\[Alpha]$]) \
($CellContext`x/$CellContext`h$), (-$CellContext`F$$) (
                 Sin[$CellContext`\[Alpha]$]/($CellContext`h$/
                 Sqrt[$CellContext`x^2 + $CellContext`h$^2]))}, \
{$CellContext`x, 0, 3}, PlotLabels -> {"FHG", "FBG", "FBC"}, ImageSize -> 300,
                Epilog -> {Red, 
                 PointSize[0.03], 
                 
                 Point[{{$CellContext`w$$, (($CellContext`F$$ 
                    2) $CellContext`w$$) (
                    Sin[$CellContext`\[Alpha]$]/$CellContext`h$)}, \
{$CellContext`w$$, ((-$CellContext`F$$) 
                    Cos[$CellContext`\[Alpha]$]) $CellContext`h$ - \
($CellContext`F$$ 
                    Sin[$CellContext`\[Alpha]$]) \
($CellContext`w$$/$CellContext`h$)}, {$CellContext`w$$, (-$CellContext`F$$) (
                    Sin[$CellContext`\[Alpha]$]/($CellContext`h$/
                    Sqrt[$CellContext`w$$^2 + $CellContext`h$^2]))}}]}, Frame -> 
               True, FrameStyle -> Directive[Black, 13], 
               FrameLabel -> {"F (N)", "Length (m)"}]]]}}, 
          Alignment -> {{{Center}}, {Automatic}}]], 
      "Specifications" :> {{{$CellContext`size$$, 1, 
          Text[
           Style["Plot Range", 12]]}, {1, 2, 5, 10}, ImageSize -> Tiny, 
         ControlType -> Setter, ControlPlacement -> 
         1}, {{$CellContext`opt$$, 0, ""}, {0 -> Text[
            Style["Truss", 12]], 1 -> Text[
            Style["Cut in sections 1", 12]], 2 -> Text[
            Style["Cut in sections 2", 12]], 3 -> Text[
            Style["Cut in sections 3", 12]]}, ControlType -> PopupMenu, 
         ControlPlacement -> 2}, {{$CellContext`F$$, 600, 
          Text[
           Style["Load", 12]]}, 0, 1000, 100, Appearance -> "Labeled", 
         ImageSize -> Tiny, ControlPlacement -> 
         3}, {{$CellContext`\[Alpha]d$$, 90, 
          Text[
           Style["Direction \[Alpha] / \[Degree]", 12]]}, 19, 198, 1, 
         Appearance -> "Labeled", ImageSize -> Tiny, ControlPlacement -> 
         4}, {{$CellContext`w$$, 2, 
          Text[
           Style["Width", 12]]}, 0.01, 3, 0.01, Appearance -> "Labeled", 
         ImageSize -> Tiny, ControlPlacement -> 5}, 
        Column[{
          Row[{
            Manipulate`Place[1], 
            Spacer[58], 
            Manipulate`Place[2]}], 
          Row[{
            Manipulate`Place[3], 
            Spacer[30], 
            Manipulate`Place[4], 
            Manipulate`Place[5]}]}], {{$CellContext`opa$$, 0, 
          Text[
           Style[
            Row[{"Show Plot", 
              Spacer[10]}], 12]]}, {1 -> "On", 0 -> "Off"}, ControlType -> 
         RadioButton}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{897., {410., 417.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 TextAlignment->Center,
 ExpressionUUID -> "5b65ed96-b363-4744-ac4c-d56c605869eb"]
}, Open  ]]
},
WindowSize->{1366, 685},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification:>1.2 Inherited,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 127, 2, 122, "Title"],
Cell[1616, 39, 134, 4, 35, "Text"],
Cell[1753, 45, 160, 3, 58, "Text"],
Cell[1916, 50, 48273, 1160, 847, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature rx0u8K#zOfPnJCwmPi99tKxE *)
